import {
  blobToArrayBuffer
} from "./chunk-WTRJ3FHO.js";
import {
  fromBase64,
  toBase64
} from "./chunk-4LNR3HBM.js";

// src/common/data/datauri.ts
function dataUriToUint8Array(dataUri) {
  if (dataUri.startsWith("data:"))
    return fromBase64(dataUri.split(",", 2)[1]);
}
function dataUriToMimeType(dataUri) {
  if (dataUri.startsWith("data:"))
    return dataUri.slice(5).split(",", 2)[0];
}
function dataUriToBlob(dataUri) {
  if (dataUri.startsWith("data:")) {
    const [mimeString, base64String] = dataUri.slice(5).split(",", 2);
    return new Blob([fromBase64(base64String)], { type: mimeString });
  }
}
async function blobToDataUri(blob) {
  const bin = await blobToArrayBuffer(blob);
  if (bin)
    return `data:${blob.type},${toBase64(bin)}`;
}
function Uint8ArrayToDataUri(bin, type = "application/octet-stream") {
  return `data:${type},${toBase64(bin)}`;
}

export {
  dataUriToUint8Array,
  dataUriToMimeType,
  dataUriToBlob,
  blobToDataUri,
  Uint8ArrayToDataUri
};
//# sourceMappingURL=chunk-6QW2WRYO.js.map