"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkXXTFH65Wcjs = require('./chunk-XXTFH65W.cjs');



var _chunkSK66U3XOcjs = require('./chunk-SK66U3XO.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkSK66U3XOcjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkSK66U3XOcjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkSK66U3XOcjs.jsonToUint8Array.call(void 0, data);
    return await _chunkXXTFH65Wcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkXXTFH65Wcjs.decrypt.call(void 0, data, this.key);
    return _chunkSK66U3XOcjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-73THIGLV.cjs.map