import {
  LoggerFileHandler
} from "./chunk-N3LGUDJ4.js";
import {
  LoggerNodeHandler
} from "./chunk-MCOJ2UGJ.js";
import {
  toPath
} from "./chunk-YIU6EKNX.js";
import {
  _LoggerFromConfig
} from "./chunk-64BIIYYU.js";
import {
  valueToBoolean
} from "./chunk-KKN5DQUJ.js";
import {
  getGlobalLogger
} from "./chunk-QLW2QJ6C.js";

// src/node/log/log-context-node.ts
import process from "node:process";
function Logger(name, level) {
  return getGlobalLogger((context) => {
    const handlers = [
      LoggerNodeHandler({
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = process.env.ZEED_LOG ?? process.env.LOG;
    const time = valueToBoolean(process.env.ZEED_TIME, true);
    const pretty = valueToBoolean(process.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(LoggerFileHandler(toPath(logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-AC2YDDHM.js.map