"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkXY4SHAX4cjs = require('./chunk-XY4SHAX4.cjs');


var _chunkQPDPDHSTcjs = require('./chunk-QPDPDHST.cjs');

// src/common/msg/channel-resilient.ts
var ResillientChannel = class extends _chunkXY4SHAX4cjs.Channel {
  constructor() {
    super(...arguments);
    this.buffer = [];
    this.dispose = _chunkQPDPDHSTcjs.useDisposeWithUtils.call(void 0, );
  }
  postMessageRaw(data) {
    try {
      if (_optionalChain([this, 'access', _ => _.channel, 'optionalAccess', _2 => _2.isConnected])) {
        this.channel.postMessage(data);
        return true;
      }
    } catch (err) {
    }
    return false;
  }
  /** Post all buffered messages */
  flushBuffer() {
    while (this.buffer.length) {
      const data = this.buffer.shift();
      if (data && !this.postMessageRaw(data)) {
        this.buffer.unshift(data);
        break;
      }
    }
  }
  /** Reset buffer without force sending */
  emptyBuffer() {
    this.buffer = [];
  }
  /**
   * Set a new channel and flush buffer
   */
  setChannel(channel) {
    void this.dispose();
    this.channel = channel;
    if (channel) {
      this.dispose.add(channel.on("message", (msg) => this.emit("message", msg)));
      if (channel.isConnected)
        this.flushBuffer();
      else
        this.dispose.add(channel.on("connect", () => this.flushBuffer()));
    }
  }
  /** @deprecated use `setChannel(undefined)` */
  deleteChannel() {
    this.setChannel();
  }
  postMessage(data) {
    this.flushBuffer();
    if (!this.postMessageRaw(data))
      this.buffer.push(data);
  }
  get isConnected() {
    return _optionalChain([this, 'access', _3 => _3.channel, 'optionalAccess', _4 => _4.isConnected]) === true;
  }
};



exports.ResillientChannel = ResillientChannel;
//# sourceMappingURL=chunk-GFC6F5OV.cjs.map