"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunk2Q4Q3VX6cjs = require('./chunk-2Q4Q3VX6.cjs');


var _chunkDDS4MYUBcjs = require('./chunk-DDS4MYUB.cjs');



var _chunkQK5A4MK5cjs = require('./chunk-QK5A4MK5.cjs');


var _chunkBVNSW3CFcjs = require('./chunk-BVNSW3CF.cjs');


var _chunkLMPRNVYBcjs = require('./chunk-LMPRNVYB.cjs');

// src/common/schema/args.ts
function parseSchemaArgs(schema, args = _nullishCoalesce(_optionalChain([process, 'optionalAccess', _ => _.argv]), () => ( {}))) {
  _chunkLMPRNVYBcjs.assert.call(void 0, _chunk2Q4Q3VX6cjs.isSchemaObjectFlat.call(void 0, schema), "schema should be a flat object");
  const alias = {};
  const booleanArgs = [];
  _chunkBVNSW3CFcjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    if (_optionalChain([schema2, 'access', _2 => _2._props, 'optionalAccess', _3 => _3.argShort]))
      alias[_chunkQK5A4MK5cjs.toCamelCase.call(void 0, schema2._props.argShort)] = _chunkQK5A4MK5cjs.toCamelCase.call(void 0, key);
    if (schema2.type === "boolean") {
      booleanArgs.push(_chunkQK5A4MK5cjs.toCamelCase.call(void 0, key));
    }
  });
  const argList = [...args];
  let arg;
  const names = [];
  const argsObj = {};
  while (arg = argList.shift()) {
    let value;
    if (/^--?/.test(arg)) {
      let key = arg.replace(/^--?/, "");
      if (arg.includes("=")) {
        const [name, valuePart] = key.split("=", 2);
        key = name.trim();
        value = valuePart.trim();
      }
      key = _chunkQK5A4MK5cjs.toCamelCase.call(void 0, key);
      key = _nullishCoalesce(alias[key], () => ( key));
      if (booleanArgs.includes(key)) {
        argsObj[key] = true;
      } else {
        value = _nullishCoalesce(_nullishCoalesce(value, () => ( argList.shift())), () => ( ""));
        argsObj[key] = value;
      }
    } else {
      names.push(arg);
    }
  }
  const argsResult = _chunkBVNSW3CFcjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    let value = argsObj[_chunkQK5A4MK5cjs.toCamelCase.call(void 0, key)];
    if (schema2.type === "number") {
      value = _chunkDDS4MYUBcjs.valueToInteger.call(void 0, value);
    }
    return schema2.parse(value);
  });
  return [argsResult, names];
}
function helpSchemaArgs(schema) {
  _chunkLMPRNVYBcjs.assert.call(void 0, _chunk2Q4Q3VX6cjs.isSchemaObjectFlat.call(void 0, schema), "schema should be a flat object");
  const lines = [];
  _chunkBVNSW3CFcjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    let s = `--${_chunkQK5A4MK5cjs.fromCamelCase.call(void 0, key)}`;
    if (_optionalChain([schema2, 'access', _4 => _4._props, 'optionalAccess', _5 => _5.argShort]))
      s += `, -${_chunkQK5A4MK5cjs.fromCamelCase.call(void 0, schema2._props.argShort)}`;
    if (schema2.type !== "boolean")
      s += `=${schema2.type}`;
    lines.push(s);
    if (_optionalChain([schema2, 'access', _6 => _6._props, 'optionalAccess', _7 => _7.argDesc]))
      lines.push(`  ${_optionalChain([schema2, 'access', _8 => _8._props, 'optionalAccess', _9 => _9.argDesc])}`);
  });
  return lines.join("\n");
}




exports.parseSchemaArgs = parseSchemaArgs; exports.helpSchemaArgs = helpSchemaArgs;
//# sourceMappingURL=chunk-KPNM3NIQ.cjs.map