import {
  size
} from "./chunk-UOAPXGA4.js";

// src/common/data/is.ts
function isObject(obj) {
  return obj != null && typeof obj === "object";
}
function isFunction(obj) {
  return obj != null && typeof obj === "function";
}
function isBinaryArray(obj) {
  return typeof Uint8Array !== "undefined" && obj instanceof Uint8Array || typeof Uint8ClampedArray !== "undefined" && obj instanceof Uint8ClampedArray || typeof Uint16Array !== "undefined" && obj instanceof Uint16Array || typeof Uint32Array !== "undefined" && obj instanceof Uint32Array || typeof Int8Array !== "undefined" && obj instanceof Int8Array || typeof Int16Array !== "undefined" && obj instanceof Int16Array || typeof Int32Array !== "undefined" && obj instanceof Int32Array || typeof Float32Array !== "undefined" && obj instanceof Float32Array || typeof Float64Array !== "undefined" && obj instanceof Float64Array || typeof BigInt64Array !== "undefined" && obj instanceof BigInt64Array || typeof BigUint64Array !== "undefined" && obj instanceof BigUint64Array;
}
function isPrimitive(obj) {
  return Object(obj) !== obj;
}
function isArray(obj) {
  return Array.isArray(obj);
}
function isRecord(obj) {
  return isObject(obj) && !isArray(obj);
}
function isRecordPlain(obj) {
  return obj?.constructor === Object;
}
function isString(obj) {
  return typeof obj === "string";
}
function isNumber(obj) {
  return typeof obj === "number" && !Number.isNaN(obj);
}
function isInteger(obj) {
  return isNumber(obj) && Number.isInteger(obj);
}
function isSafeInteger(obj) {
  return isNumber(obj) && Number.isSafeInteger(obj);
}
function isBoolean(obj) {
  return typeof obj === "boolean";
}
function isSymbol(obj) {
  return typeof obj === "symbol";
}
function isNullOrUndefined(obj) {
  return obj == null;
}
function isNull(obj) {
  return obj == null;
}
function isUint8Array(obj) {
  return isObject(obj) && obj.constructor.name === "Uint8Array";
}
function isNotNull(value) {
  return value != null;
}
function isEmpty(value) {
  return value == null || value === "" || isObject(value) && size(value) <= 0;
}
function isNotEmpty(value) {
  return !isEmpty(value);
}
function isValue(value) {
  return value != null && value !== false && value !== true;
}
function isTruthy(value) {
  return value != null && value !== false && value !== 0 && value !== "";
}

export {
  isObject,
  isFunction,
  isBinaryArray,
  isPrimitive,
  isArray,
  isRecord,
  isRecordPlain,
  isString,
  isNumber,
  isInteger,
  isSafeInteger,
  isBoolean,
  isSymbol,
  isNullOrUndefined,
  isNull,
  isUint8Array,
  isNotNull,
  isEmpty,
  isNotEmpty,
  isValue,
  isTruthy
};
//# sourceMappingURL=chunk-MSASB4XB.js.map