"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkCUGOCLWNcjs = require('./chunk-CUGOCLWN.cjs');




var _chunkN43PGEL6cjs = require('./chunk-N43PGEL6.cjs');


var _chunkYY4AHBBLcjs = require('./chunk-YY4AHBBL.cjs');

// src/common/csv.ts
var defaultSeparator = ",";
function csvStringify(data, opt = {}) {
  const { separator = defaultSeparator } = opt;
  let body = "";
  if (opt.addBom)
    body = "\uFEFF";
  for (let i = 0; i < data.length; i++) {
    body += `${data[i].map((field) => {
      if (field == null || field === "")
        return "";
      if (_chunkN43PGEL6cjs.isBoolean.call(void 0, field))
        return field ? 1 : 0;
      let s = String(field);
      if (_chunkN43PGEL6cjs.isRecord.call(void 0, field) || _chunkN43PGEL6cjs.isArray.call(void 0, field))
        s = _chunkYY4AHBBLcjs.jsonStringifySafe.call(void 0, field);
      if (s.includes('"') || s.includes("\n") || s.includes(separator))
        return `"${s.replace(/"/g, '""')}"`;
      return s;
    }).join(separator)}
`;
  }
  return body;
}
function csvParse(raw, opt = {}) {
  let rxOneValueWithSeparator = /("((?:(?:[^"]*?)(?:"")?)*)"|([^,;\t\n]*))([,;\t\n]|\r\n)/g;
  if (opt.separator)
    rxOneValueWithSeparator = new RegExp(rxOneValueWithSeparator.source.replace(/',;\\t/g, _chunkCUGOCLWNcjs.escapeRegExp.call(void 0, opt.separator)), rxOneValueWithSeparator.flags);
  const lines = [];
  let row = [];
  let m;
  const text = `${raw.replace(/\r\n/g, "\n").trim()}
`;
  while (m = rxOneValueWithSeparator.exec(text)) {
    let value = _nullishCoalesce(_nullishCoalesce(m[2], () => ( m[3])), () => ( ""));
    value = value.replace(/""/g, '"');
    row.push(value);
    if (m[4] === "\n") {
      lines.push(row);
      row = [];
    }
  }
  return lines;
}
function csvParseToObjects(raw, opt = {}) {
  const lines = csvParse(raw, opt);
  const header = lines[0];
  return lines.slice(1).map(
    (l) => Object.fromEntries(l.map((v, i) => [header[i], v]))
  );
}





exports.csvStringify = csvStringify; exports.csvParse = csvParse; exports.csvParseToObjects = csvParseToObjects;
//# sourceMappingURL=chunk-OVE66YIF.cjs.map