import {
  getGlobalConsole
} from "./chunk-CV2N52ZM.js";

// src/common/log/log-console-capture.ts
var onlyOnce;
function logCaptureConsole(log) {
  if (onlyOnce) {
    log.error("use logCaptureConsole only once!");
    return;
  }
  onlyOnce = true;
  const originalConsole = getGlobalConsole();
  if (!originalConsole) {
    globalThis.console = {};
  }
  globalThis.console.log = (...args) => log.debug(...args);
  globalThis.console.debug = (...args) => log.debug(...args);
  globalThis.console.warn = (...args) => log.warn(...args);
  globalThis.console.error = (...args) => log.error(...args);
  globalThis.console.info = (...args) => log.info(...args);
  globalThis.addEventListener?.("unhandledrejection", (event) => {
    log.error("onUnhandledrejection", event);
  });
  globalThis.addEventListener?.("error", (event) => {
    log.error("onError", event);
  });
}

export {
  logCaptureConsole
};
//# sourceMappingURL=chunk-QFRDJM3G.js.map