import {
  LoggerContext
} from "./chunk-LUGJYROQ.js";
import {
  LoggerConsoleHandler
} from "./chunk-4P5GCQLI.js";
import {
  getGlobalConsole
} from "./chunk-CV2N52ZM.js";
import {
  getGlobalContext
} from "./chunk-CFICINSP.js";

// src/common/log/log.ts
var globalLogger;
function getLoggerContext(setup) {
  const logger = LoggerContext();
  if (setup)
    setup(logger);
  else
    logger.setHandlers([LoggerConsoleHandler()]);
  return logger;
}
function getGlobalLogger(setup) {
  if (globalLogger == null) {
    try {
      const gcontext = getGlobalContext();
      if (gcontext != null) {
        getGlobalConsole();
        if (gcontext?.logger == null) {
          globalLogger = getLoggerContext(setup);
          gcontext.logger = globalLogger;
        } else {
          globalLogger = gcontext.logger;
        }
      } else {
        globalLogger = getLoggerContext(setup);
      }
    } catch (e) {
      globalLogger = getLoggerContext(setup);
    }
  }
  return globalLogger;
}
function getGlobalLoggerIfExists() {
  if (globalLogger != null)
    return globalLogger;
  try {
    const gcontext = getGlobalContext();
    if (gcontext?.logger != null)
      return gcontext.logger;
  } catch (e) {
  }
}
function DefaultLogger(name, level) {
  return getGlobalLogger()(name, level);
}

export {
  getGlobalLogger,
  getGlobalLoggerIfExists,
  DefaultLogger
};
//# sourceMappingURL=chunk-QLW2QJ6C.js.map