"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunk5TCFLJWDcjs = require('./chunk-5TCFLJWD.cjs');


var _chunkN5KTMDVOcjs = require('./chunk-N5KTMDVO.cjs');

// src/common/dispose-utils.ts
var noopDisposer = () => {
  const dispose = () => {
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
};
function useTimeout(fn, timeout = 0) {
  let timeoutHandle = setTimeout(fn, timeout);
  const dispose = () => {
    if (timeoutHandle) {
      clearTimeout(timeoutHandle);
      timeoutHandle = void 0;
    }
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
}
function useInterval(fn, interval) {
  let intervalHandle = setInterval(fn, interval);
  const dispose = () => {
    if (intervalHandle) {
      clearInterval(intervalHandle);
      intervalHandle = void 0;
    }
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
}
function useIntervalPause(fn, interval, immediately = false) {
  let intervalHandle;
  let stop = false;
  async function loop(exec = false) {
    if (exec)
      await _chunkN5KTMDVOcjs.promisify.call(void 0, fn());
    if (!stop)
      intervalHandle = setTimeout(() => loop(true), interval);
  }
  void loop(immediately);
  const dispose = () => {
    if (intervalHandle) {
      stop = true;
      clearInterval(intervalHandle);
      intervalHandle = void 0;
    }
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
}
function useEventListener(emitter, eventName, fn, ...args) {
  if (emitter == null)
    return noopDisposer();
  if (emitter.on)
    emitter.on(eventName, fn, ...args);
  else if (emitter.addEventListener)
    emitter.addEventListener(eventName, fn, ...args);
  const dispose = () => {
    if (emitter.off)
      emitter.off(eventName, fn, ...args);
    else if (emitter.removeEventListener)
      emitter.removeEventListener(eventName, fn, ...args);
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
}
function useEventListenerOnce(emitter, eventName, fn, ...args) {
  if (emitter == null)
    return noopDisposer();
  if (emitter.on)
    emitter.once(eventName, fn, ...args);
  else if (emitter.addEventListener)
    emitter.addEventListener(eventName, fn, ...args);
  const dispose = () => {
    if (emitter.off)
      emitter.off(eventName, fn, ...args);
    else if (emitter.removeEventListener)
      emitter.removeEventListener(eventName, fn, ...args);
  };
  dispose[Symbol.dispose] = dispose;
  return dispose;
}
function useDisposeWithUtils(config) {
  const dispose = _chunk5TCFLJWDcjs.useDispose.call(void 0, config);
  return Object.assign(dispose, {
    timeout: (fn, timeout = 0) => dispose.add(useTimeout(fn, timeout)),
    interval: (fn, interval = 0) => dispose.add(useInterval(fn, interval)),
    intervalPause: (fn, interval = 0) => dispose.add(useIntervalPause(fn, interval)),
    on: (emitter, eventName, fn, ...args) => dispose.add(useEventListener(emitter, eventName, fn, ...args)),
    once: (emitter, eventName, fn, ...args) => dispose.add(useEventListenerOnce(emitter, eventName, fn, ...args))
  });
}









exports.noopDisposer = noopDisposer; exports.useTimeout = useTimeout; exports.useInterval = useInterval; exports.useIntervalPause = useIntervalPause; exports.useEventListener = useEventListener; exports.useEventListenerOnce = useEventListenerOnce; exports.useDisposeWithUtils = useDisposeWithUtils;
//# sourceMappingURL=chunk-QPDPDHST.cjs.map