"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } } function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }






var _chunkN43PGEL6cjs = require('./chunk-N43PGEL6.cjs');


var _chunkW3WUDQICcjs = require('./chunk-W3WUDQIC.cjs');

// src/common/schema/schema.ts
var TypeClass = class {
  constructor(name, check) {
    this.type = name;
    this._check = _nullishCoalesce(check, () => ( (() => true)));
  }
  optional() {
    this._optional = true;
    return this;
  }
  default(value) {
    this._default = value;
    return this;
  }
  parse(obj) {
    if (obj == null) {
      if (this._default != null) {
        if (_chunkN43PGEL6cjs.isFunction.call(void 0, this._default))
          obj = this._default();
        else
          obj = this._default;
      }
    }
    if (obj == null && this._optional === true)
      return void 0;
    if (obj == null)
      throw new Error("cannot be undefined");
    if (!this._check || this._check(obj))
      return obj;
    throw new Error("wrong value");
  }
  map(obj, fn) {
    return _nullishCoalesce(fn.call(this, obj, this), () => ( obj));
  }
  props(props) {
    this._props = props;
    return this;
  }
};
var TypeGeneric = class extends TypeClass {
};
function generic(type, opt) {
  return new TypeGeneric(type, _optionalChain([opt, 'optionalAccess', _ => _._check]));
}
var TypeStringClass = class extends TypeClass {
  pattern(rx) {
    return this;
  }
};
function string() {
  return new TypeStringClass("string", _chunkN43PGEL6cjs.isString);
}
function number() {
  return generic("number", {
    _check: _chunkN43PGEL6cjs.isNumber
  });
}
var float = number;
function int() {
  return generic("int", {
    _check: _chunkN43PGEL6cjs.isInteger
  });
}
function boolean() {
  return generic("boolean", {
    _check: _chunkN43PGEL6cjs.isBoolean
  });
}
var TypeObjectClass = class extends TypeClass {
  constructor(obj) {
    super("object", () => true);
    this._object = obj;
  }
  parse(obj) {
    if (obj == null && this._optional === true)
      return void 0;
    const newObj = {};
    if (!_chunkN43PGEL6cjs.isObject.call(void 0, obj))
      return new Error("expected object input");
    if (!_chunkN43PGEL6cjs.isObject.call(void 0, this._object))
      return new Error("expected object definition");
    for (const [key, info] of Object.entries(this._object)) {
      const value = info.parse(obj[key]);
      if (value !== void 0)
        newObj[key] = value;
    }
    return newObj;
  }
  map(obj, fn) {
    const result = fn.call(this, obj, this);
    if (result !== void 0)
      return result;
    const newObj = {};
    if (obj) {
      for (const [key, info] of Object.entries(_nullishCoalesce(this._object, () => ( {})))) {
        const value = info.map(obj[key], fn);
        if (value !== void 0)
          newObj[key] = value;
      }
    }
    return newObj;
  }
};
function object(tobj) {
  return new TypeObjectClass(tobj);
}
function union(options) {
  return generic(_nullishCoalesce(_optionalChain([_chunkW3WUDQICcjs.first.call(void 0, options), 'optionalAccess', _2 => _2.type]), () => ( "any")), {
    // _union: options,
    // _check(obj) {
    //   return this._union?.some(t => t._check(obj)) ?? true
    // },
  });
}
function literal(value) {
  return generic("string", {
    _check: (v) => v === value
  });
}
function stringLiterals(value) {
  return generic("string", {
    _check: (v) => value.includes(v)
  });
}
function tuple(items) {
  return generic("tuple", {
    _check: (v) => items.every((item, i) => item._check(v[i]))
  });
}
function func(args, ret) {
  return generic("function", {
    _check: (v) => _chunkN43PGEL6cjs.isFunction.call(void 0, v)
  });
}















exports.TypeClass = TypeClass; exports.string = string; exports.number = number; exports.float = float; exports.int = int; exports.boolean = boolean; exports.TypeObjectClass = TypeObjectClass; exports.object = object; exports.union = union; exports.literal = literal; exports.stringLiterals = stringLiterals; exports.tuple = tuple; exports.func = func;
//# sourceMappingURL=chunk-U5N3BUNH.cjs.map