import "../../chunk-ZBZ2DYCH.js";
import "../../chunk-UMUHNSGZ.js";
import "../../chunk-WQPRL26Y.js";
import "../../chunk-6NLXLMPR.js";
import "../../chunk-EVV5XSMX.js";
import "../../chunk-I2VL3EYP.js";
import "../../chunk-HIX6EHLQ.js";
import "../../chunk-QY5DHPIN.js";
import "../../chunk-HOPWS6D4.js";
import "../../chunk-V5A7GBYS.js";
import "../../chunk-3SGWYDFH.js";
import "../../chunk-44XNTK3T.js";
import "../../chunk-2Q2D6IYD.js";
import "../../chunk-LOKSBIQW.js";
import "../../chunk-ORVQHQ6Y.js";
import "../../chunk-KWO2F7PO.js";
import "../../chunk-TOCTDWQI.js";
import "../../chunk-BVYJH5I3.js";
import "../../chunk-OLLVOQ6W.js";
import "../../chunk-PLBFBDKH.js";
import "../../chunk-ZDZ4EQHN.js";
import "../../chunk-PZP2B3FC.js";
import "../../chunk-2H4XRKWS.js";
import "../../chunk-NSJKG6AJ.js";
import "../../chunk-PRHMI3L4.js";
import "../../chunk-XBBCTS7U.js";
import "../../chunk-2OUSR2BE.js";
import "../../chunk-IJSLJFYU.js";
import "../../chunk-2HWPZ6ZE.js";
import "../../chunk-EDNCPFSF.js";
import "../../chunk-73CVRDI7.js";
import "../../chunk-GBF7F7TQ.js";
import "../../chunk-D3JF6HTL.js";
import "../../chunk-OP4KFE7G.js";
import "../../chunk-DGP32WEQ.js";
import "../../chunk-6QW2WRYO.js";
import {
  bitfield,
  createBinaryStreamDecoder,
  createBinaryStreamEncoder,
  encodeJson
} from "../../chunk-WTRJ3FHO.js";
import "../../chunk-CEWTZYJD.js";
import "../../chunk-F64SQULL.js";
import "../../chunk-RNL46FQ3.js";
import "../../chunk-MWUFUBY5.js";
import "../../chunk-GKKLBSFA.js";
import "../../chunk-CXMKDBGU.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-X56GIAWQ.js";
import "../../chunk-FLFB2K34.js";
import "../../chunk-264HKVNG.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-A7SUGWC3.js";
import "../../chunk-BLSLMCOC.js";
import "../../chunk-WJUQ3VXF.js";
import "../../chunk-FL5CT6MC.js";
import "../../chunk-F7LYIQZT.js";
import "../../chunk-EMZ2JTH2.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-E7C3EUTB.js";
import "../../chunk-QFRDJM3G.js";
import "../../chunk-PIP5E7GF.js";
import "../../chunk-EW6FHLFK.js";
import "../../chunk-UC4IXJII.js";
import "../../chunk-2VA3UGW7.js";
import "../../chunk-5OVSRAPG.js";
import "../../chunk-X7FSUPTB.js";
import "../../chunk-TOSLGV7Y.js";
import "../../chunk-OPA3P4S3.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OKXFHCRW.js";
import "../../chunk-LRNHXH3A.js";
import "../../chunk-HST4VI64.js";
import "../../chunk-734RUVRO.js";
import "../../chunk-3K65A2PU.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-GAB5OQ4U.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-N33MGVUS.js";
import {
  Uint8ArrayToHexDump,
  equalBinary,
  toHex
} from "../../chunk-4LNR3HBM.js";
import "../../chunk-NDJRHQ42.js";
import "../../chunk-KOCQIU7R.js";
import "../../chunk-PN34O4SN.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/bin/index.spec.ts
describe("encoder", () => {
  it("should write a stream", () => {
    const stream = createBinaryStreamEncoder();
    stream.writeUint32(1);
    stream.write({ a: "99" });
    stream.writeBytes([1, 2, 3], 3);
    stream.write(123);
    const bin = stream.getUint8Array();
    expect(Uint8ArrayToHexDump(bin)).toMatchInlineSnapshot(`
      "0000  01 00 00 00 76 01 01 61 77 02 39 39 01 02 03 7d  ....v..aw.99...}
      0010  bb 01                                            \xBB.              "
    `);
    expect(stream.getLength()).toBe(18);
    const readStream = createBinaryStreamDecoder(bin);
    expect(readStream.getOffset()).toBe(0);
    expect(readStream.readUint32()).toBe(1);
    expect(readStream.getOffset()).toBe(4);
    expect(readStream.read()).toEqual({ a: "99" });
    expect(readStream.readBytes(3)).toMatchInlineSnapshot(`
Uint8Array [
  1,
  2,
  3,
]
`);
    expect(readStream.read()).toBe(123);
    expect(readStream.getOffset()).toBe(bin.length);
  });
  it("should bitfield", () => {
    const bf = bitfield(1);
    bf.setBit(4);
    expect(bf.getValue()).toBe(17);
    bf.setBit(0, false);
    expect(bf.getValue()).toBe(16);
    bf.setBit(1);
    bf.setBit(5);
    bf.setBit(16);
    expect(bf.getValue().toString(2)).toMatchInlineSnapshot(
      '"10000000000110010"'
    );
    expect(bf.getValue()).toBe(65586);
    expect(bf.getBit(0)).toBe(false);
    expect(bf.getBit(4)).toBe(true);
    bf.toggleBit(4);
    expect(bf.getBit(4)).toBe(false);
    expect(bf.getValue()).toBe(65570);
  });
  it("should var bin", () => {
    function enc(v) {
      const e = createBinaryStreamEncoder();
      e.writeIntVar(v);
      return toHex(e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(128)).toMatchInlineSnapshot('"8002"');
    expect(enc(-1)).toMatchInlineSnapshot('"41"');
    expect(enc(-691529286)).toMatchInlineSnapshot('"c699bf9305"');
    expect(enc(691529286)).toMatchInlineSnapshot('"8699bf9305"');
  });
  it("should var bin uint", () => {
    function enc(v) {
      const e = createBinaryStreamEncoder();
      e.writeUintVar(v);
      return toHex(e.getUint8Array());
    }
    expect(enc(1)).toMatchInlineSnapshot('"01"');
    expect(enc(127)).toMatchInlineSnapshot('"7f"');
    expect(enc(128)).toMatchInlineSnapshot(`"8001"`);
    expect(enc(255)).toMatchInlineSnapshot('"ff01"');
    expect(enc(256)).toMatchInlineSnapshot('"8002"');
    expect(enc(691529286)).toMatchInlineSnapshot('"c6ccdfc902"');
  });
  it("should be consistent", () => {
    const bin1 = encodeJson({
      a: 1,
      b: 2
    });
    const bin2 = encodeJson({
      b: 2,
      a: 1
    });
    expect(equalBinary(bin1, bin2)).toBe(true);
  });
});
//# sourceMappingURL=index.spec.js.map