type DecimalValue = number;
type DecimalInput = number | string | DecimalValue;
/**
 * The float returned is guaraneteed to have only the `decimalPlaces` length,
 * no rounding errors or float arithmetic artefacts.
 */
declare function decimal(value: DecimalInput, decimalPlaces?: number): DecimalValue;
/** `123` becomes `1.23` */
declare function decimalFromCents(value: DecimalInput, decimalPlaces?: number): DecimalValue;
/** `1.23` becomes `123` */
declare function decimalToCents(value: DecimalInput, decimalPlaces?: number): number;
/** `1.23` becomes `23` */
declare function decimalCentsPart(value: DecimalInput, decimalPlaces?: number): DecimalValue;

export { type DecimalInput, type DecimalValue, decimal, decimalCentsPart, decimalFromCents, decimalToCents };
