"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-4B2XCWGL.cjs');
require('../chunk-RH2ZY552.cjs');
require('../chunk-WKUMIBBA.cjs');
require('../chunk-BVNSW3CF.cjs');
require('../chunk-NU2LARFE.cjs');
require('../chunk-QZHA2OAU.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-OJKBG3DM.cjs');
require('../chunk-334CCXIK.cjs');
require('../chunk-MTWPH7QT.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-TF6RVG6C.cjs');
require('../chunk-LP4MNA2T.cjs');



var _chunk5TCFLJWDcjs = require('../chunk-5TCFLJWD.cjs');


var _chunkN5KTMDVOcjs = require('../chunk-N5KTMDVO.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');


var _chunk2BOMVGUQcjs = require('../chunk-2BOMVGUQ.cjs');
require('../chunk-WZOVL24X.cjs');
require('../chunk-LRK332ID.cjs');
require('../chunk-XXTFH65W.cjs');
require('../chunk-SK66U3XO.cjs');
require('../chunk-T5NX3H2C.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-33B2TEAZ.cjs');
require('../chunk-UXNOJAXO.cjs');
require('../chunk-PEU5ZQVB.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N43PGEL6.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-YY4AHBBL.cjs');



var _chunkIMCDDJAJcjs = require('../chunk-IMCDDJAJ.cjs');

// src/common/dispose-defer.spec.ts
var log = _chunk2BOMVGUQcjs.DefaultLogger.call(void 0, "dispose-test");
describe("dispose", () => {
  it("should dispose correctly", async () => {
    const disposeCalls = [];
    const dispose = _chunk5TCFLJWDcjs.useDispose.call(void 0, "a");
    const y = dispose.track({
      dispose() {
        disposeCalls.push(1);
      }
    });
    dispose.track(() => {
      disposeCalls.push(2);
    });
    const x = {
      async dispose() {
        disposeCalls.push(3);
      }
    };
    dispose.track(x);
    dispose.track();
    dispose.track(async () => {
      disposeCalls.push(4);
    });
    expect(disposeCalls).toEqual([]);
    expect(dispose.getSize()).toEqual(4);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    _optionalChain([y, 'optionalCall', _2 => _2()]);
    _optionalChain([y, 'optionalCall', _3 => _3()]);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3, 1]);
    expect(dispose.getSize()).toEqual(2);
    await dispose.dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
    await dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
  });
  it("should be a fancy dispose itself", () => {
    let x = 1;
    class Some {
      constructor() {
        this.dispose = _chunk5TCFLJWDcjs.useDispose.call(void 0, log);
        this.dispose.track(() => {
          x = 2;
        });
      }
    }
    const obj = new Some();
    expect(x).toBe(1);
    void obj.dispose();
    expect(x).toBe(2);
  });
  it("should defer lifo", async () => {
    const stack = [];
    const defer = _chunk5TCFLJWDcjs.useDefer.call(void 0, { mode: "lifo" });
    defer.add(() => stack.push("a"));
    defer.add(() => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    void defer(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should defer fifo", async () => {
    const stack = [];
    const defer = _chunk5TCFLJWDcjs.useDefer.call(void 0, { mode: "fifo" });
    defer.add(() => stack.push("a"));
    defer.add(async () => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await defer();
    expect(stack).toEqual(["a", "b", "c"]);
  });
  it("should dispose sync", async () => {
    const stack = [];
    const dispose = _chunk5TCFLJWDcjs.useDispose.call(void 0, );
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await dispose(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should dispose sync using using", async () => {
    const stack = [];
    function helper() {
      var _stack = [];
      try {
        const dispose = _chunkIMCDDJAJcjs.__using.call(void 0, _stack, _chunk5TCFLJWDcjs.useDispose.call(void 0, ));
        dispose.add(() => stack.push("a"));
        dispose.add(() => stack.push("b"));
        dispose.add(() => stack.push("c"));
        expect(stack).toEqual([]);
      } catch (_) {
        var _error = _, _hasError = true;
      } finally {
        _chunkIMCDDJAJcjs.__callDispose.call(void 0, _stack, _error, _hasError);
      }
    }
    helper();
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should dispose sync 2", async () => {
    const stack = [];
    const dispose = _chunk5TCFLJWDcjs.useDispose.call(void 0, );
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(async () => {
      await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
      stack.push("c");
    });
    expect(stack).toEqual([]);
    expect(dispose.sync).toThrowError();
  });
  it("should use using", async () => {
    const history = [];
    function log2(s) {
      history.push(s);
    }
    class TempFile {
      constructor(path) {
        log2("constructor");
      }
      [Symbol.dispose]() {
        log2("dispose");
      }
    }
    function fn() {
      var _stack = [];
      try {
        const f = _chunkIMCDDJAJcjs.__using.call(void 0, _stack, new TempFile("abc"));
        log2("fn return");
      } catch (_) {
        var _error = _, _hasError = true;
      } finally {
        _chunkIMCDDJAJcjs.__callDispose.call(void 0, _stack, _error, _hasError);
      }
    }
    log2("fn before");
    fn();
    log2("fn after");
    expect(history).toMatchInlineSnapshot(`
      Array [
        "fn before",
        "constructor",
        "fn return",
        "dispose",
        "fn after",
      ]
    `);
  });
});
//# sourceMappingURL=dispose-defer.spec.cjs.map