"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkOJKBG3DMcjs = require('../../chunk-OJKBG3DM.cjs');
require('../../chunk-334CCXIK.cjs');
require('../../chunk-MTWPH7QT.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-TF6RVG6C.cjs');
require('../../chunk-LP4MNA2T.cjs');
require('../../chunk-5TCFLJWD.cjs');


var _chunkN5KTMDVOcjs = require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-XXTFH65W.cjs');
require('../../chunk-SK66U3XO.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/exec/pool.spec.ts
describe("pool", () => {
  it("should execute some", async () => {
    const r = [];
    const pool = _chunkOJKBG3DMcjs.usePool.call(void 0, { maxParallel: 2 });
    const collectedEvents = [];
    pool.events.onAny((...args) => collectedEvents.push(args));
    expect(pool.progress.getFraction()).toBe(0);
    expect(pool.progress.getTotalUnits()).toBe(0);
    pool.enqueue(
      async () => {
        r.push("a");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "a" }
    );
    expect(pool.progress.getTotalUnits()).toBe(1);
    pool.enqueue(
      async (taskInfo) => {
        r.push("b");
        _optionalChain([taskInfo, 'optionalAccess', _ => _.setResolved, 'call', _2 => _2(2)]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
        _optionalChain([taskInfo, 'optionalAccess', _3 => _3.incResolved, 'call', _4 => _4()]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
        _optionalChain([taskInfo, 'optionalAccess', _5 => _5.incResolved, 'call', _6 => _6()]);
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "b", max: 5 }
    );
    pool.enqueue(
      async () => {
        r.push("c");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "c" }
    );
    pool.enqueue(
      async () => {
        r.push("d");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "d" }
    );
    pool.enqueue(
      async () => {
        r.push("dd");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "dd" }
    );
    pool.enqueue(
      async () => {
        r.push("e");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "e" }
    );
    const { cancel } = pool.enqueue(
      async () => {
        r.push("f");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "f" }
    );
    pool.cancel("dd");
    cancel();
    expect(r).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
      ]
    `);
    const { promise } = pool.enqueue(
      async () => {
        r.push("g");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
        return "g";
      },
      { id: "g" }
    );
    expect(pool.progress.getTotalUnits()).toBe(10);
    expect(pool.progress.toString()).toMatchInlineSnapshot(`
      "pool-0: 0 of 0 units, 20 %, cancel=false
        a: 0 of 1 units, 0 %, cancel=false
        b: 2 of 5 units, 40 %, cancel=false
        c: 0 of 1 units, 0 %, cancel=false
        d: 0 of 1 units, 0 %, cancel=false
        e: 0 of 1 units, 0 %, cancel=false
        g: 0 of 1 units, 0 %, cancel=false"
    `);
    expect(await promise).toBe("g");
    await pool.waitFinishAll();
    await _chunkN5KTMDVOcjs.sleep.call(void 0, 1);
    expect(pool.progress.getTotalUnits()).toBe(0);
    expect(pool.progress.getCompletedUnits()).toBe(0);
    expect(pool.progress.getFraction()).toBe(0);
    expect(pool.progress.toString()).toMatchInlineSnapshot('"pool-0: 0 of 0 units, 0 %, cancel=false"');
    expect(r).toMatchInlineSnapshot(`
      Array [
        "a",
        "b",
        "c",
        "d",
        "e",
        "g",
      ]
    `);
  });
  it("should respect group", async () => {
    const r = [];
    const pool = _chunkOJKBG3DMcjs.usePool.call(void 0, { maxParallel: 3 });
    const collectedEvents = [];
    pool.events.onAny((...args) => collectedEvents.push(args));
    pool.enqueue(
      async () => {
        r.push("ga");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "ga", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("gb");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "gb", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("gc");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "gc", group: "x" }
    );
    pool.enqueue(
      async () => {
        r.push("1");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "1" }
    );
    pool.enqueue(
      async () => {
        r.push("2");
        await _chunkN5KTMDVOcjs.sleep.call(void 0, 10);
      },
      { id: "2" }
    );
    expect(r).toMatchInlineSnapshot(`
      Array [
        "ga",
        "1",
        "2",
      ]
    `);
    await pool.waitFinishAll();
    expect(r).toMatchInlineSnapshot(`
      Array [
        "ga",
        "1",
        "2",
        "gb",
        "gc",
      ]
    `);
    expect(collectedEvents).toMatchInlineSnapshot(`
      Array [
        Array [
          "didUpdate",
          1,
          0,
          1,
          0,
        ],
        Array [
          "didStart",
          "ga",
        ],
        Array [
          "didUpdate",
          2,
          0,
          2,
          0,
        ],
        Array [
          "didUpdate",
          3,
          0,
          3,
          0,
        ],
        Array [
          "didUpdate",
          4,
          0,
          4,
          0,
        ],
        Array [
          "didStart",
          "1",
        ],
        Array [
          "didUpdate",
          5,
          0,
          5,
          0,
        ],
        Array [
          "didStart",
          "2",
        ],
        Array [
          "didResolve",
          "ga",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          1,
          5,
          1,
        ],
        Array [
          "didStart",
          "gb",
        ],
        Array [
          "didResolve",
          "1",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          2,
          5,
          2,
        ],
        Array [
          "didResolve",
          "2",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          3,
          5,
          3,
        ],
        Array [
          "didResolve",
          "gb",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          4,
          5,
          4,
        ],
        Array [
          "didStart",
          "gc",
        ],
        Array [
          "didResolve",
          "gc",
          undefined,
        ],
        Array [
          "didUpdate",
          5,
          5,
          5,
          5,
        ],
        Array [
          "didFinish",
        ],
      ]
    `);
  });
});
//# sourceMappingURL=pool.spec.cjs.map