"use strict";





var _chunkPEU5ZQVBcjs = require('../../chunk-PEU5ZQVB.cjs');







var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/log/log-filter.spec.ts
describe("log-filter", () => {
  it("should match", () => {
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "a");
      expect(matches.filter).toBe("a");
      expect(matches.accept).toEqual([/^a/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "a*");
      expect(matches.filter).toBe("a*");
      expect(matches.accept).toEqual([/^a.*?/]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(false);
    }
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "a*,b*,-c*");
      expect(matches.filter).toBe("a*,b*,-c*");
      expect(matches.accept).toEqual([/^a.*?/, /^b.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "*,-c*");
      expect(matches.filter).toBe("*,-c*");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c.*?/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "*,-c");
      expect(matches.filter).toBe("*,-c");
      expect(matches.accept).toEqual([/^.*?/]);
      expect(matches.reject).toEqual([/^c/]);
      expect(matches("a")).toBe(true);
      expect(matches("aa")).toBe(true);
      expect(matches("b:c")).toBe(true);
      expect(matches("c:d")).toBe(false);
    }
    {
      const matches = _chunkPEU5ZQVBcjs.useNamespaceFilter.call(void 0, "*");
      expect(matches.filter).toBe("*");
      expect(matches.accept).toEqual([]);
      expect(matches.reject).toEqual([]);
      expect(matches("a")).toBe(true);
      expect(matches("b:c")).toBe(true);
    }
  });
  it("should interprete filter right", () => {
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, "")).toEqual("");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, 0)).toEqual("");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, false)).toEqual("");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, "false")).toEqual("");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, null)).toEqual("");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, "*")).toEqual("*");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, 1)).toEqual("*");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, true)).toEqual("*");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, "true")).toEqual("*");
    expect(_chunkPEU5ZQVBcjs.getNamespaceFilterString.call(void 0, "a:b")).toEqual("a:b");
  });
  it("should filter by level", () => {
    {
      const levelFilter = _chunkPEU5ZQVBcjs.useLevelFilter.call(void 0, "err");
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkPEU5ZQVBcjs.useLevelFilter.call(void 0, "adfdfds");
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
    {
      const levelFilter = _chunkPEU5ZQVBcjs.useLevelFilter.call(void 0, _chunkJ42M6DF3cjs.LogLevelWarn);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelDebug)).toBe(false);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelWarn)).toBe(true);
      expect(levelFilter(_chunkJ42M6DF3cjs.LogLevelError)).toBe(true);
    }
  });
  it("should identify log level", () => {
    expect(_chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, false)).toEqual(_chunkJ42M6DF3cjs.LogLevelOff);
    expect(_chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, "info")).toEqual(_chunkJ42M6DF3cjs.LogLevelInfo);
    expect(_chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, _chunkJ42M6DF3cjs.LogLevelError)).toEqual(_chunkJ42M6DF3cjs.LogLevelError);
    expect(_chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, true)).toEqual(_chunkJ42M6DF3cjs.LogLevelAll);
    expect(_chunkPEU5ZQVBcjs.parseLogLevel.call(void 0, 2)).toEqual(_chunkJ42M6DF3cjs.LogLevelWarn);
  });
  it("should join strings", () => {
    expect(_chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, "test")).toEqual(["test"]);
    expect(_chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, "test", "more", 1, 2, 3)).toEqual(["test more", 1, 2, 3]);
    expect(_chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, "test", { a: 1 })).toEqual(["test", { a: 1 }]);
    expect(_chunkPEU5ZQVBcjs.joinLogStrings.call(void 0, "test", "a", "b", true, void 0, null, { a: 1 })).toEqual(["test a", "b", true, void 0, null, { a: 1 }]);
  });
});
//# sourceMappingURL=log-filter.spec.cjs.map