import {
  useMessageHub
} from "../../chunk-V5A7GBYS.js";
import {
  CryptoEncoder
} from "../../chunk-2Q2D6IYD.js";
import {
  createLocalChannelPair
} from "../../chunk-LOKSBIQW.js";
import "../../chunk-TOCTDWQI.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-OPA3P4S3.js";
import "../../chunk-7QYVSWCZ.js";
import "../../chunk-OKXFHCRW.js";
import "../../chunk-LRNHXH3A.js";
import "../../chunk-3K65A2PU.js";
import "../../chunk-L324TYGN.js";
import "../../chunk-K7Z2KDW3.js";
import "../../chunk-GY34N3KU.js";
import "../../chunk-QUKKMPRF.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import {
  deriveKeyPbkdf2,
  randomUint8Array
} from "../../chunk-N33MGVUS.js";
import "../../chunk-4LNR3HBM.js";
import "../../chunk-NDJRHQ42.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return args[0] ?? 0;
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await deriveKeyPbkdf2(randomUint8Array(20));
    const encoder = new CryptoEncoder(key);
    const [clientChannel, serverChannel] = createLocalChannelPair();
    const serverHub = useMessageHub({ channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = useMessageHub({ channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.js.map