"use strict";

var _chunkRGNCCHNIcjs = require('../../chunk-RGNCCHNI.cjs');
require('../../chunk-73THIGLV.cjs');


var _chunkFUEQOQBAcjs = require('../../chunk-FUEQOQBA.cjs');
require('../../chunk-XY4SHAX4.cjs');
require('../../chunk-MTWPH7QT.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-TF6RVG6C.cjs');
require('../../chunk-LP4MNA2T.cjs');
require('../../chunk-5TCFLJWD.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-XXTFH65W.cjs');
require('../../chunk-SK66U3XO.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkFUEQOQBAcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkRGNCCHNIcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkRGNCCHNIcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkFUEQOQBAcjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkRGNCCHNIcjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkRGNCCHNIcjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map