import {
  helpSchemaArgs,
  parseSchemaArgs
} from "../../chunk-I2VL3EYP.js";
import "../../chunk-HIX6EHLQ.js";
import {
  boolean,
  number,
  object
} from "../../chunk-QY5DHPIN.js";
import "../../chunk-KKN5DQUJ.js";
import "../../chunk-XOAKJFNZ.js";
import "../../chunk-PIP5E7GF.js";
import "../../chunk-GAB5OQ4U.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/schema/args.spec.ts
describe("args.spec", () => {
  it("parse args", async () => {
    const schema = object({
      someStuff: number().optional().props({
        argDesc: "Does some stuff"
      }),
      help: boolean().default(false).props({
        argShort: "h",
        argDesc: "Shows help"
      })
    });
    expectTypeOf().toMatchTypeOf();
    const args = ["test.txt", "-h", "--some-stuff=8888"];
    const r = parseSchemaArgs(schema, args);
    expect(r).toMatchInlineSnapshot(`
      Array [
        Object {
          "help": true,
          "someStuff": 8888,
        },
        Array [
          "test.txt",
        ],
      ]
    `);
    expect(helpSchemaArgs(schema)).toMatchInlineSnapshot(`
      "--some-stuff=number
        Does some stuff
      --help, -h
        Shows help"
    `);
  });
});
//# sourceMappingURL=args.spec.js.map