/**
 * @returns Timestamp in miliseconds
 */
declare function getTimestamp(): number;
/**
 * @returns Timestamp in seconds
 */
declare function getTimestampInSeconds(): number;
/**
 * @returns Timestamp in seconds
 */
declare function dateFromSeconds(ts: number): Date;
declare function formatMilliseconds(ms: number): string;
/**
 * Parses the given date candidates and returns the first valid Date object found.
 *
 * @param dateCandidates - The date candidates to parse, which can be either strings or Date objects.
 * @returns The parsed Date object, or undefined if no valid date is found.
 */
declare function parseDate(...dateCandidates: (string | Date)[]): Date | undefined;
/**
 * @returns Timestamp in miliseconds
 */
declare function getPerformanceTimestamp(): number;
declare function duration(): () => string;
/** If you parsed a date without time zone, you may need to shift it to local time */
declare function datetimeToLocal(fromDate: Date): Date;
/** If you parsed a date without time zone, you may need to shift it to UTC time */
declare function datetimeToUTC(fromDate: Date): Date;
/** ms -> s with simple check */
declare function timestampMillisecondsToSeconds(ts: number): number;
/** s -> ms with simple check */
declare function timestampSecondsToMilliseconds(ts: number): number;
declare const TIME_YEAR_MS = 31536000000;
declare const TIME_YEAR_S = 31536000;
declare const TIME_MONTH_MS = 2592000000;
declare const TIME_MONTH_S = 2592000;
declare const TIME_WEEK_MS = 604800000;
declare const TIME_WEEK_S = 604800;
declare const TIME_DAY_MS = 86400000;
declare const TIME_DAY_S = 86400;
declare const TIME_HOUR_MS = 3600000;
declare const TIME_HOUR_S = 3600;
declare const TIME_MINUTE_MS = 60000;
declare const TIME_MINUTE_S = 60;

export { TIME_DAY_MS, TIME_DAY_S, TIME_HOUR_MS, TIME_HOUR_S, TIME_MINUTE_MS, TIME_MINUTE_S, TIME_MONTH_MS, TIME_MONTH_S, TIME_WEEK_MS, TIME_WEEK_S, TIME_YEAR_MS, TIME_YEAR_S, dateFromSeconds, datetimeToLocal, datetimeToUTC, duration, formatMilliseconds, getPerformanceTimestamp, getTimestamp, getTimestampInSeconds, parseDate, timestampMillisecondsToSeconds, timestampSecondsToMilliseconds };
