"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }
















var _chunkTF6RVG6Ccjs = require('../chunk-TF6RVG6C.cjs');


var _chunkLP4MNA2Tcjs = require('../chunk-LP4MNA2T.cjs');


var _chunkN5KTMDVOcjs = require('../chunk-N5KTMDVO.cjs');
require('../chunk-XXTFH65W.cjs');
require('../chunk-SK66U3XO.cjs');
require('../chunk-T5NX3H2C.cjs');
require('../chunk-33B2TEAZ.cjs');
require('../chunk-YY4AHBBL.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/common/uuid.spec.ts
describe("uuid", () => {
  it("should not certain length", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    expect(_chunkTF6RVG6Ccjs.uuid.call(void 0, ).length).toBe(22);
    expect(_chunkTF6RVG6Ccjs.uuidB32.call(void 0, ).length).toBe(26);
  });
  it("should encode/decode", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const us = _chunkTF6RVG6Ccjs.uuid.call(void 0, );
    const ub = _chunkTF6RVG6Ccjs.uuidDecode.call(void 0, us);
    expect(ub.length).toBe(16);
    expect(_chunkTF6RVG6Ccjs.uuidEncode.call(void 0, ub)).toEqual(us);
  });
  it("should not have collisions", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const list = Array.apply(null, Array.from({ length: 100 })).map(_chunkTF6RVG6Ccjs.uuid);
    while (list.length) {
      const id = list.pop();
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(22);
      expect(list).not.toContain(id);
    }
  });
  it("should not have collisions v4", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const list = Array.apply(null, Array.from({ length: 100 })).map(_chunkTF6RVG6Ccjs.uuidv4);
    while (list.length) {
      const id = list.pop();
      expect(_optionalChain([id, 'optionalAccess', _2 => _2.length])).toBe(36);
      expect(list).not.toContain(id);
    }
  });
  it("should have nice uname", () => {
    expect(_chunkTF6RVG6Ccjs.uname.call(void 0, )).toBe("id-0");
    expect(_chunkTF6RVG6Ccjs.uname.call(void 0, )).toBe("id-1");
    expect(_chunkTF6RVG6Ccjs.uname.call(void 0, "me")).toBe("me-0");
    expect(_chunkTF6RVG6Ccjs.uname.call(void 0, )).toBe("id-2");
  });
  it("should create sortable ID", () => {
    const sample = _chunkTF6RVG6Ccjs.suid.call(void 0, );
    expect(sample).toHaveLength("000FcTTJiOtjzrDGJVhfoa".length);
    const dateSuid = new Uint8Array([
      0,
      0,
      141,
      33,
      250,
      205,
      174,
      58,
      31,
      221,
      187,
      156,
      31,
      221,
      187,
      156
    ]);
    expect(_chunkTF6RVG6Ccjs.suidBytesDate.call(void 0, dateSuid)).toEqual(
      /* @__PURE__ */ new Date("2020-10-10T22:10:14.349Z")
    );
    const { encode, decode } = _chunkLP4MNA2Tcjs.useBase.call(void 0, 62);
    expect(encode(dateSuid, 22)).toBe("000FcTTJiOtjzrDGJVhfoa");
    expect(decode("000FcTTJiOtjzrDGJVhfoa", 16)).toEqual(dateSuid);
    expect(decode("000FcTTJiOtjzrDGJVhfoa", 16)).toEqual(
      new Uint8Array([
        0,
        0,
        141,
        33,
        250,
        205,
        174,
        58,
        31,
        221,
        187,
        156,
        31,
        221,
        187,
        156
      ])
    );
    expect(_chunkTF6RVG6Ccjs.suidDate.call(void 0, "000FcTTJiOtjzrDGJVhfoa")).toEqual(
      /* @__PURE__ */ new Date("2020-10-10T22:10:14.349Z")
    );
  });
  it("should sort correctly", async () => {
    expect("abc" < "ABC").toBe(false);
    expect("abc" > "ABC").toBe(true);
    expect("0" < "A").toBe(true);
    expect("0" < "a").toBe(true);
    expect("0" > "A").toBe(false);
    expect("0" > "a").toBe(false);
    const sample = [
      "012a",
      "0123B",
      "0123c",
      "aBC",
      "Abc",
      "abC",
      "aa",
      "aZ",
      "ay",
      "aB",
      "002ITJose",
      "002ITJoCh",
      "002ITJoch",
      "002ITJoSE"
    ];
    sample.sort();
    expect(sample).toEqual([
      "002ITJoCh",
      "002ITJoSE",
      "002ITJoch",
      "002ITJose",
      "0123B",
      "0123c",
      "012a",
      "Abc",
      "aB",
      "aBC",
      "aZ",
      "aa",
      "abC",
      "ay"
    ]);
  });
  it("should evaluate demo", async () => {
    expect.assertions(100);
    for (let i = 0; i < 100; i++) {
      const shortSortableId = _chunkTF6RVG6Ccjs.suid.call(void 0, );
      await _chunkN5KTMDVOcjs.sleep.call(void 0, 2);
      const nextSUID = _chunkTF6RVG6Ccjs.suid.call(void 0, );
      expect(shortSortableId < nextSUID).toBe(true);
    }
  });
  it("should generate 32bit", () => {
    expect(_chunkTF6RVG6Ccjs.uuid32bit.call(void 0, )).not.toBe(0);
    expect(_chunkTF6RVG6Ccjs.uuid32bit.call(void 0, )).not.toBe(_chunkTF6RVG6Ccjs.uuid32bit.call(void 0, ));
    expect(Number.isSafeInteger(_chunkTF6RVG6Ccjs.uuid32bit.call(void 0, ))).toBe(true);
  });
  it("should encode / decode 32", () => {
    const bytes = _chunkTF6RVG6Ccjs.uuidBytes.call(void 0, );
    const b32 = _chunkTF6RVG6Ccjs.uuidEncodeB32.call(void 0, bytes);
    expect(b32).toHaveLength(26);
    expect(_chunkTF6RVG6Ccjs.uuidDecodeB32.call(void 0, b32)).toEqual(bytes);
  });
  it("should encode / decode 62", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const bytes = _chunkTF6RVG6Ccjs.uuidBytes.call(void 0, );
    const b62 = _chunkTF6RVG6Ccjs.uuidEncode.call(void 0, bytes);
    expect(b62).toHaveLength(22);
    expect(_chunkTF6RVG6Ccjs.uuidDecode.call(void 0, b62)).toEqual(bytes);
  });
  it("should encode / decode 62 from string", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const id = _chunkTF6RVG6Ccjs.uuid.call(void 0, );
    expect(id).toHaveLength(22);
    const b62 = _chunkTF6RVG6Ccjs.uuidDecode.call(void 0, id);
    expect(b62).toHaveLength(16);
    expect(_chunkTF6RVG6Ccjs.uuidEncode.call(void 0, b62)).toEqual(id);
  });
  it("should encode / decode 62 by example", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, );
    const id = "78MQbFaILcblSYA7WS2OGE";
    expect(id).toHaveLength(22);
    const b62 = _chunkTF6RVG6Ccjs.uuidDecode.call(void 0, id);
    expect(b62).toHaveLength(16);
    expect(b62).toMatchInlineSnapshot(`
      Uint8Array [
        234,
        109,
        230,
        115,
        91,
        247,
        195,
        211,
        119,
        255,
        157,
        220,
        65,
        184,
        26,
        190,
      ]
    `);
    expect(_chunkTF6RVG6Ccjs.uuidEncode.call(void 0, b62)).toEqual("78MQbFaILcblSYA7WS2OGE");
    const uv4 = _chunkTF6RVG6Ccjs.uuidEncodeV4.call(void 0, b62);
    expect(uv4).toEqual("ea6de673-5bf7-c3d3-77ff-9ddc41b81abe");
    expect(_chunkTF6RVG6Ccjs.uuidDecodeV4.call(void 0, uv4)).toEqual(b62);
  });
  it("should generate a valid UUIDv4", () => {
    const uuid2 = _chunkTF6RVG6Ccjs.uuidv4.call(void 0, );
    const uuidRegex = /^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$/i;
    expect(uuid2).toMatch(uuidRegex);
  });
  it("should encode Uint8Array to UUIDv4 format", () => {
    const bytes = new Uint8Array([234, 109, 230, 115, 91, 247, 195, 211, 119, 255, 157, 220, 65, 184, 26, 190]);
    const encoded = _chunkTF6RVG6Ccjs.uuidEncodeV4.call(void 0, bytes);
    expect(encoded).toEqual("ea6de673-5bf7-c3d3-77ff-9ddc41b81abe");
  });
  it("should decode UUIDv4 to Uint8Array", () => {
    const uuid2 = "ea6de673-5bf7-c3d3-77ff-9ddc41b81abe";
    const decoded = _chunkTF6RVG6Ccjs.uuidDecodeV4.call(void 0, uuid2);
    expect(decoded).toEqual(new Uint8Array([234, 109, 230, 115, 91, 247, 195, 211, 119, 255, 157, 220, 65, 184, 26, 190]));
  });
  it("should use test uuid", () => {
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, "test");
    expect(_chunkTF6RVG6Ccjs.uuid.call(void 0, )).toEqual("test-0");
    expect(_chunkTF6RVG6Ccjs.uuid.call(void 0, )).toEqual("test-1");
    _chunkTF6RVG6Ccjs.setUuidDefaultEncoding.call(void 0, "test");
    expect(_chunkTF6RVG6Ccjs.uuid.call(void 0, )).toEqual("test-0");
    expect(_chunkTF6RVG6Ccjs.uuid.call(void 0, )).toEqual("test-1");
  });
});
//# sourceMappingURL=uuid.spec.cjs.map