import {
  LoggerFileHandler
} from "../../chunk-N3LGUDJ4.js";
import "../../chunk-CXMKDBGU.js";
import "../../chunk-TSCDX4AS.js";
import "../../chunk-E7C3EUTB.js";
import "../../chunk-QFRDJM3G.js";
import "../../chunk-PIP5E7GF.js";
import {
  sleep
} from "../../chunk-L324TYGN.js";
import {
  DefaultLogger,
  getGlobalLogger
} from "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-4LNR3HBM.js";
import "../../chunk-NDJRHQ42.js";
import "../../chunk-I45WP5PM.js";
import "../../chunk-NNCJ3QL5.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import {
  LogLevelAll
} from "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/node/log/log-file.spec.ts
import { rmSync, statSync, unlinkSync } from "node:fs";
describe("log File", () => {
  afterAll(() => {
    rmSync(`${__dirname}/tmp`, { recursive: true, force: true });
  });
  it("should write log", async () => {
    const path = `${__dirname}/tmp/test.log`;
    getGlobalLogger().setHandlers([
      LoggerFileHandler(path, {
        level: LogLevelAll,
        filter: "*"
      })
    ]);
    const log = DefaultLogger("test");
    log("debug");
    log.info("info");
    log.warn("warn");
    log.error("error");
    await sleep(1e3);
    expect(statSync(path).size).toBeGreaterThan(100);
    unlinkSync(path);
  });
});
//# sourceMappingURL=log-file.spec.js.map