"use strict";

var _chunkYRMT2H3Ncjs = require('../chunk-YRMT2H3N.cjs');
require('../chunk-IMCDDJAJ.cjs');

// src/node/open-browser.spec.ts
var _child_process = require('child_process');
var _os = require('os');
var _vitest = require('vitest');
_vitest.vi.mock("node:child_process", () => ({
  exec: _vitest.vi.fn()
}));
_vitest.vi.mock("node:os", () => ({
  platform: _vitest.vi.fn()
}));
_vitest.describe.call(void 0, "openBrowser", () => {
  _vitest.it.call(void 0, "should open URL on macOS", () => {
    _vitest.vi.mocked(_os.platform).mockReturnValue("darwin");
    _chunkYRMT2H3Ncjs.openBrowser.call(void 0, "http://example.com");
    _vitest.expect.call(void 0, _child_process.exec).toHaveBeenCalledWith("open -u http://example.com");
  });
  _vitest.it.call(void 0, "should open URL on Windows", () => {
    _vitest.vi.mocked(_os.platform).mockReturnValue("win32");
    _chunkYRMT2H3Ncjs.openBrowser.call(void 0, "http://example.com");
    _vitest.expect.call(void 0, _child_process.exec).toHaveBeenCalledWith("start http://example.com");
  });
  _vitest.it.call(void 0, "should open URL on Linux", () => {
    _vitest.vi.mocked(_os.platform).mockReturnValue("linux");
    _chunkYRMT2H3Ncjs.openBrowser.call(void 0, "http://example.com");
    _vitest.expect.call(void 0, _child_process.exec).toHaveBeenCalledWith("xdg-open http://example.com");
  });
});
//# sourceMappingURL=open-browser.spec.cjs.map